The officially official Devuan Forum!

You are not logged in.

#26 2020-03-04 02:03:19

szutt
Member
Registered: 2019-02-03
Posts: 30  

Re: deb.sury.org now requires systemd

@Lorenzo

I think this is just the beginning.

More and more debian packages will go down this path since the last debian resolution whether it is interpreted by maintainers in various ways wrongly or on purpose.

Debian and Devuan will have their respective paths diverging more and more.

Offline

#27 2020-03-04 22:47:12

tdrnetworks
Member
Registered: 2020-02-29
Posts: 20  

Re: deb.sury.org now requires systemd

This should complete the set (for now). 

We've just added builds for beowulf;   so we have jessie, ascii and beowulf all rebuilt without systemd references.

The repo gpg public key is here: 
http://pkgs.tdrnetworks.com/apt/devuan/gpg.key


The repo offers AMD64 debs, and DPKG sources.

### PHP Rebuilds for Devuan Jessie
deb https://pkgs.tdrnetworks.com/apt/devuan jessie main
deb-src https://pkgs.tdrnetworks.com/apt/devuan jessie main

### PHP Rebuilds for Devuan Ascii
deb https://pkgs.tdrnetworks.com/apt/devuan ascii main
deb-src https://pkgs.tdrnetworks.com/apt/devuan ascii main

### PHP Rebuilds for Devuan Beowulf
deb https://pkgs.tdrnetworks.com/apt/devuan beowulf main
deb-src https://pkgs.tdrnetworks.com/apt/devuan beowulf main

Offline

#28 2020-03-04 23:34:18

nixer
Member
From: North Carolina, USA
Registered: 2016-11-30
Posts: 112  

Re: deb.sury.org now requires systemd

Thank you very much tdrnetworks!  I just tried the ascii builds on two systems and they installed and are working flawless.

Offline

#29 2020-03-05 05:34:47

szutt
Member
Registered: 2019-02-03
Posts: 30  

Re: deb.sury.org now requires systemd

@tdrnetworks Thank you very much!

Offline

#30 2020-04-12 20:35:28

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: deb.sury.org now requires systemd

@tdrnetworks provided repos.. but for how many time? will be dedicated ? companies can rely on?  in the sury ones.. we already know that (by casuality) the same guy are the DD of the php packages (and many shit more with systemd involved.. how interesting)

now some time ago i'm  glad to see how devuan are suffering due in old times dont make any effort property!

i filed some issues agains the deb sury due the mantainer are just a fashioned person that uses the sury repos to own fame!

now by the popular usage of those repos.. will enforce the system-shit and we cannot do anything!

when you all people will join forces and make something?

@tdrnetworks why you dont make this builds part of the backports packages of devuan? an extra and apart repo only means that one day will end..

Offline

#31 2020-04-12 21:49:59

golinux
Administrator
Registered: 2016-11-25
Posts: 2,171  

Re: deb.sury.org now requires systemd

@ mckaygerhard . . . Have you ever considered actually doing something (besides complaining and telling other users what they should do)?

Offline

#32 2020-04-12 22:49:53

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: deb.sury.org now requires systemd

of course @golinux. i reported several errors and problems in multi language installations. i also try to install and investigate why devuan does not work with blind people.. (in language select just after 70th lang index .. the rest of lang are not sound icons)

also i have many packages that can work perfectly in devuan and finally made several articles of how to install and performs devuans use cases for special targets like voip..

... i guess i made "some thing"...

Last edited by mckaygerhard (2020-04-12 23:15:52)

Offline

#33 2020-04-12 23:32:48

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: deb.sury.org now requires systemd

why not join efforts with MXLinux guys and AntiX team!¡ they neither use systemd and for sure wil be affected by this commit: https://salsa.debian.org/php-team/php/c … 00619ef550 that seems will be a commont on future init scrtips..  please take consideration that commits like that will raise the complications!

guys i'm deep in the problem and puff i'm tyred of Debian fake things! all are a systemd mess! puff i¿'m very surprised that debian leader dont make anything here!

nixer wrote:

szutt,
sury replied:

the snippet you supplied won't work because it needs to be applied at compile time.
You can use equivs package and symlink to opentmpfiles-tmpfiles from opentmpfiles package to workaround the dependency.

Can anyone instruct, or elaborate on how to do this?  I have never used the equivs package, or opentmpfiles package so right now I am lost.  But I will be glad to try any suggestions.  I do not see how this will work around the dependency of needing, and thus avoiding, the installation of systemd.  But then, I am asking for clarification.

Sury DD are a fake guy.. in their blog it said "you must use rsync to mirror the repository" seems cloudflare and repository configuration does not allow it, also the instructions never work!

i'm surprised that he (thanks to @Lorenzo here) filed a bug agains the problem: https://bugs.debian.org/cgi-bin/bugrepo … bug=952897 we hope that will make sense in future packages

Last edited by mckaygerhard (2020-04-12 23:56:48)

Offline

#34 2020-04-14 10:05:41

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,542  
Website

Re: deb.sury.org now requires systemd

mckaygerhard wrote:

why not join efforts with MXLinux guys and AntiX team!¡ they neither use systemd

MX Linux includes systemd and offers it as an alternative init system.


Black Lives Matter

Offline

#35 2020-04-14 13:14:09

wingcommander1999
Member
Registered: 2020-04-14
Posts: 15  

Re: deb.sury.org now requires systemd

Head_on_a_Stick wrote:
mckaygerhard wrote:

why not join efforts with MXLinux guys and AntiX team!¡ they neither use systemd

MX Linux includes systemd and offers it as an alternative init system.

antiX comes without systemd.

See either here => antiX


AMD Ryzen 5 3600 - Gigabyte AB350 Gaming - 2x8GB DDR4 - SSD HyperX MLC 120GB / HDD Toshiba 1TO - RX570 Pulse 8GB - Lepa MaxBron 500W - Zalman NEO 9 White

Offline

#36 2020-04-14 15:15:00

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: deb.sury.org now requires systemd

wingcommander1999 wrote:

antiX comes without systemd.

See either here => antiX

YES! MXLinux,  relies on AntiX work! it's the most common sense to join effors with anticapitalis guy!

Head_on_a_Stick wrote:

MX Linux includes systemd and offers it as an alternative init system.

nonsense.. please deep more in your sentence!

MXLinux includes systemd but does not use it! due their base are antiX that does not includes!

Devuan team must take in consideration that AntiX have also pacakges that removes systemd lilke the dbus one!

Offline

#37 2020-04-14 15:28:09

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,542  
Website

Re: deb.sury.org now requires systemd

mckaygerhard wrote:
Head_on_a_Stick wrote:

MX Linux includes systemd and offers it as an alternative init system.

nonsense.. please deep more in your sentence!

MXLinux includes systemd but does not use it!

MX-19 still offers systemd as an alternative init system:

systemd.png

They don't use antiX's nosystemd repositories. Perhaps anticapitalista will confirm this, I see them lurking here regularly.


Black Lives Matter

Offline

#38 2020-04-14 16:08:14

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: deb.sury.org now requires systemd

Head_on_a_Stick wrote:

MX-19 still offers systemd as an alternative init system:

https://i.postimg.cc/VSK0G4gX/systemd.png

They don't use antiX's nosystemd repositories. Perhaps anticapitalista will confirm this, I see them lurking here regularly.

yes! in the boot menu you can choose "more options" and then there's 3 entries.. one are with systemd as init and the other with sysvinit as init!..

i have a magallanes laptop (mini with atom cpu) and antix 17.. there's is not systemd running..

antix repos are the base work of mxlinux.. there's no need to confirm that!

Offline

#39 2020-04-14 16:34:32

golinux
Administrator
Registered: 2016-11-25
Posts: 2,171  

Re: deb.sury.org now requires systemd

mckaygerhard wrote:

YES! MXLinux,  relies on AntiX work! it's the most common sense to join effors with anticapitalis guy!

That "anticapitalista guy" is on this forum nearly every day and was known to many of us at the refracta forum long before Devuan was a thing.

Offline

#40 2020-04-15 12:38:42

anticapitalista
Member
Registered: 2018-06-10
Posts: 22  

Re: deb.sury.org now requires systemd

Head_on_a_Stick wrote:

They don't use antiX's nosystemd repositories. Perhaps anticapitalista will confirm this, I see them lurking here regularly.

MX-19.1 no longer uses antiX repos at all.

Offline

#41 2020-04-19 02:42:15

tdrnetworks
Member
Registered: 2020-02-29
Posts: 20  

Re: deb.sury.org now requires systemd

Folks,

We have recently updated the repo with amd64 builds for php7.4.5,  7.3.17, and 7.2.30.

### PHP Rebuilds for Devuan. (also available in jessie, beowulf flavours, change as required)
deb https://pkgs.tdrnetworks.com/apt/devuan ascii main
deb-src https://pkgs.tdrnetworks.com/apt/devuan ascii main

We have no plans to stop building new PHP releases, and aim to provide the pkgs.tdrnetworks.com repo for the foreseeable future, since we are using them internally ourselves.

However;  we are not dedicated Debian packaging team, we can't provide support or full testing, and the updates can only be provided as and when we have time -  my concern is that the php package might become too 'difficult' to build, as the divergence between Debian & Devuan grows.
 
I don't expect that PHP will start requiring systemd - but I guess somewhere down the line they could start making bad assumptions (ifdef linux, in their code that assumes system is present)... more likely it will be a packaging difference/roadblock that finishes things.

Our repo is browsable, and contains the dpkg source files, so are downloadable by anyone...

Last edited by tdrnetworks (2020-04-19 02:45:08)

Offline

#42 2020-04-22 16:10:21

IdeaFix
Member
Registered: 2020-01-02
Posts: 18  
Website

Re: deb.sury.org now requires systemd

Only amd64?

Offline

#43 2020-04-25 01:33:20

tdrnetworks
Member
Registered: 2020-02-29
Posts: 20  

Re: deb.sury.org now requires systemd

Yes, only amd64 - we don't have the time, or the build environments ready for anything else. 

The dpkg sources are available in the repo if you want to try building it yourself.

Offline

#44 2020-04-25 17:58:32

IdeaFix
Member
Registered: 2020-01-02
Posts: 18  
Website

Re: deb.sury.org now requires systemd

Maybe choosing devuan was my mistake....

Offline

#45 2020-04-26 00:42:36

szutt
Member
Registered: 2019-02-03
Posts: 30  

Re: deb.sury.org now requires systemd

IdeaFix wrote:

Maybe choosing devuan was my mistake....

Making a sarcastic comment in such a context is a mistake.

Offline

#46 2020-04-26 02:08:49

IdeaFix
Member
Registered: 2020-01-02
Posts: 18  
Website

Re: deb.sury.org now requires systemd

szutt wrote:
IdeaFix wrote:

Maybe choosing devuan was my mistake....

Making a sarcastic comment in such a context is a mistake.

No sarcasm. There is actually no way to get php 7.3 in devuan. It is possible to build it from tdrnetworks sources but with no tests, or use beowulf (with "debian" in grub). Now I can not update owncloud, wordpress (with some custom code) and a lot of other really simple services in ascii 2.1. Also, i have some small servers with 686-pae and "broken" sury. Yes, it is my problem. No sarcasm... no support, no roadmap, no place in production.

It was my mistake to use devuan. It was my fault - to trust devuan. No sarcasm.

We are actually have no rock stable actual LAMP out of the box... but talk about arm64, amd drivers, laptops... with no sarcasm.

IMHO

Last edited by IdeaFix (2020-04-26 02:11:20)

Offline

#47 2020-04-26 13:03:45

Altoid
Member
Registered: 2017-05-07
Posts: 677  

Re: deb.sury.org now requires systemd

Hello:

IdeaFix wrote:

... my fault - to trust devuan.

To trust Devuan?
A mistake?
Surely you jest ...

Devuan is as trustworthy as any OS can possibly get, there are absolutely no trust issues with Devuan.
Why should you not trust Devuan?

What you have is an issue with a set of applications which have been/are being crippled by the growing divergence between Debian & Devuan.
Which, like the OP noted, we owe to " ... the last debian resolution whether it is interpreted by maintainers in various ways wrongly or on purpose".

To this we must add that the Debian packager for the application you use understands that the systemd issue is a purely ideological one.

And acts according to his ideology: systemd is the way to go.
ie: the only one.

This growing trend means that Devuan developers/packagers have to work more and harder.
Which I am sure you understand, takes time and resources.
Both human and monetary.

I think that are so used to it that it is possible you have lost sight of a very important fact: that you have a first class OS running your boxes free of charge.

IMHO

Cheers,

A.

Offline

#48 2020-04-26 15:19:18

IdeaFix
Member
Registered: 2020-01-02
Posts: 18  
Website

Re: deb.sury.org now requires systemd

You found a time to make a lot of words... but I need my services works now, not tomorrow. And may be i will just change a linux distribution.

Some time ago i build (just for fun) a nice 80286 computer. With 25MHz CPU and i287XL NPU, with 16MB of ram, 1MB of vram, good lan, sound and SCSI card. I read about embedded linux, but it is a lie. There is no linux on 286 (hey, there is no linux on 386!). Xenix? Minix? Old UNIX? No... the best OS for this computer is DOS. Somebody fiound a time and money (or even a motivation) to make a web server, ssh server and client, ftp server and other for dos and it is working smile Also, DOS includes useful LAN stack, and XENIX actually not.

Here we have the same thing - Devuan developers have a lot of problems and Devuan 3 will be released may be after Debian 11, BUT! You tell me about a great OS for free... no, i have no great os for free, i have a choice.

Sorry for my english, but i spended about 60 hours of my private time to make this wonderfull os works with 2020Q1 applications.

I think that are so used to it that it is possible you have lost sight of a very important fact: I can buy  a first class OS to run my boxes, but i can not buy Devuan. Only donate without any guarantee that the terrible Debian will not destroy the subj at the next vote.

Last edited by IdeaFix (2020-04-26 15:29:55)

Offline

#49 2020-04-26 15:32:58

golinux
Administrator
Registered: 2016-11-25
Posts: 2,171  

Re: deb.sury.org now requires systemd

IdeaFix wrote:

You found a time to make a lot of words... but I need my services works now, not tomorrow.

In case you didn't notice, the age of instant gratification is coming to a grinding halt globally.  Perhaps time to grow up a bit and wake up to the fact that the world doesn't revolve around your desires.  That is reality.

IdeaFix wrote:

And may be i will just change a linux distribution.

Yes. please go whine elsewhere.  And don't let the door hit you on the way out . . .

Offline

#50 2020-04-26 18:18:16

IdeaFix
Member
Registered: 2020-01-02
Posts: 18  
Website

Re: deb.sury.org now requires systemd

perfect smile

Offline

Board footer